/*
 * File:   nutsandvolts.h
 * Author: Fred
 *
 * Created on November 1, 2011, 2:53 PM
 */

#include <18F46J13.h>
#device ICD=TRUE

#FUSES NOWDT                 	//No Watch Dog Timer
#FUSES WDT128                	//Watch Dog Timer uses 1:128 Postscale
#FUSES PLL1                  	//No PLL PreScaler
#FUSES NOPLLEN               	//4X HW PLL disabled, 4X PLL enabled in software
#FUSES STVREN                	//Stack full/underflow will cause reset
#FUSES NOXINST               	//Extended set extension and Indexed Addressing mode disabled (Legacy mode)
#FUSES DEBUG                 	//Debug mode for use with ICD
#FUSES NOPROTECT             	//Code not protected from reading
#FUSES HS                    	//High speed Osc (> 4mhz for PCM/PCH) (>10mhz for PCD)
#FUSES SOSC_HIGH             	//High-power SOSC circuit is selected
#FUSES NOCLOCKOUT
#FUSES NOFCMEN                 	//Fail-safe clock monitor enabled
#FUSES NOIESO                	//Internal External Switch Over mode disabled
#FUSES DSWDTOSC_INT          	//DSWDT uses INTRC as reference clock
#FUSES RTCOSC_T1             	//RTCC uses Secondary Oscillator as reference source
#FUSES NODSBOR               	//BOR disabled in Deep Sleep
#FUSES NODSWDT               	//Deep Sleep Watchdog Timer disabled
#FUSES DSWDT2147483648       	//DSWDT uses 1:2147483648 Postscale
#FUSES IOL1WAY             	//Allows multiple reconfigurations of peripheral pins
#FUSES ADC10                 	//ADC is 10-bits
#FUSES MSSPMSK7              	//MSSP uses 7 bit Masking mode
#FUSES WPFP
#FUSES NOWPCFG               	//Configuration Words page is erase/write-protected
#FUSES WPDIS                 	//All Flash memory may be erased or written
#FUSES WPBEG                 	//Flash pages 0 to WPFP are write/erase protected
#FUSES RESERVED              	//Used to set the reserved FUSE bits

#use delay(clock=12000000)
#use rs232(baud=9600,parity=N,xmit=PIN_C6,rcv=PIN_C7,bits=8)
